Issues

ZF2-432: Constructor Zend\Stdlib\Glob::glob() cannot be static

Issue Type: Bug Created: 2012-07-27T19:42:46.000+0000 Last Updated: 2012-08-18T08:55:04.000+0000 Status: Resolved Fix version(s): Reporter: Ruud Boon (ruudboon) Assignee: Maks 3w (maks3w) Tags: Related issues: Attachments:

Description

Even when using the skeleton I still have this issue. Noticed after updating to RC1/beta5. Complete error:

Fatal error: Constructor Zend\Stdlib\Glob::glob() cannot be static in /Blah/zf2/library/Zend/Stdlib/Glob.php on line 197

Will try to install xdebug step trace the error.

Update: XDEBUG output

( ! ) Fatal error: Constructor Zend\Stdlib\Glob::glob() cannot be static in /Users/ruud/Documents/Projects/zf2/library/Zend/Stdlib/Glob.php on line 197 Call Stack

Time Memory Function Location

1 0.0021 325428 {main}( ) ../index.php:0 2 0.0078 507780 Zend\Mvc\Application::init( ) ../index.php:12 3 0.0332 1599744 Zend\ModuleManager\ModuleManager->loadModules( ) ../Application.php:250 4 0.0333 1599792 Zend\EventManager\EventManager->trigger( ) ../ModuleManager.php:100 5 0.0333 1599868 Zend\EventManager\EventManager->triggerListeners( ) ../EventManager.php:209 6 0.0358 1637228 call_user_func ( ) ../EventManager.php:469 7 0.0358 1637244 Zend\ModuleManager\Listener\ConfigListener->onLoadModulesPost( ) ../EventManager.php:0 8 0.0358 1637244 Zend\ModuleManager\Listener\ConfigListener->addConfigByPath( ) ../ConfigListener.php:164 9 0.0358 1637460 Zend\Loader\StandardAutoloader->autoload( ) ../StandardAutoloader.php:0 10 0.0358 1637508 Zend\Loader\StandardAutoloader->loadClass( ) ../StandardAutoloader.php:215

Comments

Posted by Matthew Weier O'Phinney (matthew) on 2012-07-27T19:57:29.000+0000

What version of PHP are you using? This should not be an issue for PHP versions 5.3.3 and up...

Posted by Ruud Boon (ruudboon) on 2012-07-27T20:04:37.000+0000

Using 5.3.13

php --version PHP 5.3.13 with Suhosin-Patch (cli) (built: Jun 20 2012 17:05:20) Copyright (c) 1997-2012 The PHP Group Zend Engine v2.3.0, Copyright (c) 1998-2012 Zend Technologies

Posted by Matthew Weier O'Phinney (matthew) on 2012-07-27T20:19:48.000+0000

What OS?

Posted by Ruud Boon (ruudboon) on 2012-07-27T20:23:01.000+0000

OSX Mountain Lion

Posted by Ruud Boon (ruudboon) on 2012-07-27T20:25:17.000+0000

Daim, sorry cli is somehow running different then my local devel server. I'm running under PHP Version 5.3.1. Upgrading now

Posted by Matthew Weier O'Phinney (matthew) on 2012-07-27T20:37:28.000+0000

Yeah, was about to close as cannot reproduce anyways -- I've tried on 5.3.3, 5.3.11, and 5.4.1, and have no errors. :)

Posted by Ruud Boon (ruudboon) on 2012-07-27T20:51:38.000+0000

Upgrade to mountain lion caused to load some old config. Confirmed that issue doesn't occur under 5.3.13. Please close the bug.

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts